VERSION 4.00
Begin VB.Form frmFishK1n 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "FishKurs 1n : Einfache Ampel mit Nachtzyklus"
   ClientHeight    =   5655
   ClientLeft      =   2790
   ClientTop       =   2580
   ClientWidth     =   7245
   Height          =   6060
   Icon            =   "FishK1n.frx":0000
   Left            =   2730
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5655
   ScaleWidth      =   7245
   Top             =   2235
   Width           =   7365
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   495
      Left            =   3120
      TabIndex        =   1
      Top             =   4920
      Width           =   1695
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   495
      Left            =   5160
      TabIndex        =   0
      Top             =   4920
      Width           =   1815
   End
   Begin VB.Label lblHinweis 
      Caption         =   $"FishK1n.frx":000C
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1935
      Left            =   720
      TabIndex        =   2
      Top             =   960
      Width           =   5535
   End
End
Attribute VB_Name = "frmFishK1n"
Attribute VB_Creatable = False
Attribute VB_Exposed = False


' -------------------------------------------------------------------------
'
' frmFishK1n(FishK1n.FRM)                             Ulrich Mller  23.6.98
'                                                     Dell XPS P90    VB4/32
' Einfhrung in die Programmierung von Fischertechnik Profi Computing
' unter Nutzung von FishFace am Beispiel einer Ampelsteuerung
'
' FishKurs 1n : Einfache Ampel mit Nachtzyklus
'
' erforderlich : FishF432.DLL
'              bei Einsatz des parallelen Interfaces zustzlich InOut32.DLL
'
' -------------------------------------------------------------------------

Option Explicit

Private ft As clsFishFace
Private PortName$, Ende As Boolean

Const LampeGrn = 1
Const LampeGelb = 2
Const LampeRot = 3

Const TasterNacht = 1

Private Sub NachtZyklus()

' --- Gelb blinken bei Nacht ---

  ft.SetMotor LampeGelb, ftiEin
  ft.WaitForTime 700
  ft.SetMotor LampeGelb, ftiAus
  ft.WaitForTime 250
  
End Sub


Private Sub TagZyklus()

' --- Normaler Ampelzyklus am Tage ---

                                         ' --- Ampelanzeige ---
  ft.SetMotor LampeGrn, ftiEin          '     Grn, 3000
  ft.WaitForTime 3000
  ft.SetMotor LampeGrn, ftiAus
  ft.SetMotor LampeGelb, ftiEin          '     Gelb, 1000
  ft.WaitForTime 1000
  ft.SetMotor LampeGelb, ftiAus
  ft.SetMotor LampeRot, ftiEin           '     Rot, 3500
  ft.WaitForTime 3500
  ft.SetMotor LampeGelb, ftiEin          '     Rot/Gelb, 1000
  ft.WaitForTime 1000
  ft.SetMotor LampeRot, ftiAus
  ft.SetMotor LampeGelb, ftiAus

End Sub


Private Sub cmdAction_Click()

' --- Ampelzyklus ---

Dim res%

  Set ft = New clsFishFace            ' --- Neue Instanz FishFace
  res = ft.OpenInterface(PortName)    '     und ffnen Interface
  cmdAction.Enabled = False
  ft.ShowPanel Me.Left + 300, Me.Top + 450 'Anzeige Interface Panel
  lblHinweis = "----- Ampel luft ----"
  
  Do
    Select Case Time
    Case #6:00:00 AM# To #10:00:00 PM# ' --- Zyklusbestimmung, wenn man nicht
                                       '     warten will, auch mit TasterNacht
      If ft.GetInput(TasterNacht) Then NachtZyklus Else TagZyklus
    Case Else
      NachtZyklus
    End Select
    
  Loop Until Ende
  
  ft.CloseInterface                    ' --- Schlieen Interface
  Set ft = Nothing
  End
  
End Sub

Private Sub cmdEnde_Click()

  If cmdAction.Enabled Then End
  Ende = True
  
End Sub



Private Sub Form_Load()

  PortName = InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT3. ", "FishKurs", "COM1")

End Sub


